package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * company对象 company_tag_user
 *
 * @author fs
 * @date 2025-04-02
 */
public class CompanyTagUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagIds;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTagIds(String tagIds)
    {
        this.tagIds = tagIds;
    }

    public String getTagIds()
    {
        return tagIds;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tagIds", getTagIds())
            .append("userId", getUserId())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
